<?xml version='1.0' encoding='ISO-8859-1' standalone='yes'?>
<tagfile>
  <compound kind="class">
    <name>KCanvasRootPixmap</name>
    <filename>classKCanvasRootPixmap.html</filename>
    <member kind="function">
      <type></type>
      <name>KCanvasRootPixmap</name>
      <anchor>a0</anchor>
      <arglist>(QCanvasView *view, const char *name=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KCardDialog</name>
    <filename>classKCardDialog.html</filename>
    <member kind="enumeration">
      <name>CardFlags</name>
      <anchor>w3</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KCardDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=NULL, const char *name=NULL, CardFlags flags=Both)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KCardDialog</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showRandomDeckBox</name>
      <anchor>a2</anchor>
      <arglist>(bool s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showRandomCardDirBox</name>
      <anchor>a3</anchor>
      <arglist>(bool s)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>deck</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDeck</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;file)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>cardDir</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCardDir</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;dir)</arglist>
    </member>
    <member kind="function">
      <type>CardFlags</type>
      <name>flags</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setupDialog</name>
      <anchor>a9</anchor>
      <arglist>(bool showResizeBox=false)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRandomDeck</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRandomCardDir</name>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isGlobalDeck</name>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isGlobalCardDir</name>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>double</type>
      <name>cardScale</name>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>loadConfig</name>
      <anchor>a15</anchor>
      <arglist>(KConfig *conf)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>saveConfig</name>
      <anchor>a16</anchor>
      <arglist>(KConfig *conf)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>getCardDeck</name>
      <anchor>e0</anchor>
      <arglist>(QString &amp;deck, QString &amp;carddir, QWidget *parent=0, CardFlags flags=Both, bool *randomDeck=0, bool *randomCardDir=0, double *scale=0, KConfig *conf=0)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>getConfigCardDeck</name>
      <anchor>e1</anchor>
      <arglist>(KConfig *conf, QString &amp;deck, QString &amp;cardDir, double &amp;scale)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>getDefaultDeck</name>
      <anchor>e2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>getDefaultCardDir</name>
      <anchor>e3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>getCardPath</name>
      <anchor>e4</anchor>
      <arglist>(const QString &amp;carddir, int index)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>getRandomDeck</name>
      <anchor>e5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>getRandomCardDir</name>
      <anchor>e6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDeckClicked</name>
      <anchor>j0</anchor>
      <arglist>(QIconViewItem *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotCardClicked</name>
      <anchor>j1</anchor>
      <arglist>(QIconViewItem *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRandomCardDirToggled</name>
      <anchor>j2</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRandomDeckToggled</name>
      <anchor>j3</anchor>
      <arglist>(bool on)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotCardResized</name>
      <anchor>j4</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotDefaultSize</name>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSetGlobalDeck</name>
      <anchor>j6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotSetGlobalCardDir</name>
      <anchor>j7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>insertCardIcons</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>insertDeckIcons</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static void</type>
      <name>getGlobalDeck</name>
      <anchor>f0</anchor>
      <arglist>(QString &amp;cardDir, bool &amp;random)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static void</type>
      <name>getGlobalCardDir</name>
      <anchor>f1</anchor>
      <arglist>(QString &amp;deck, bool &amp;random)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static QString</type>
      <name>getDeckName</name>
      <anchor>f2</anchor>
      <arglist>(const QString &amp;desktop)</arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static QString</type>
      <name>group</name>
      <anchor>f3</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KChat</name>
    <filename>classKChat.html</filename>
    <base>KChatBase</base>
    <member kind="signal">
      <type>void</type>
      <name>signalSendMessage</name>
      <anchor>l0</anchor>
      <arglist>(int id, const QString &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KChat</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, bool twoPlayerGame=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString &amp;</type>
      <name>fromName</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFromNickname</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addPlayer</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;nick)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removePlayer</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;nick)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removePlayer</name>
      <anchor>a6</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>autoAddMessages</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAutoAddMessages</name>
      <anchor>a8</anchor>
      <arglist>(bool add)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>player</name>
      <anchor>a9</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>fromId</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>returnPressed</name>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>uniqueId</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KChatBase</name>
    <filename>classKChatBase.html</filename>
    <base>QFrame</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>addMessage</name>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;fromName, const QString &amp;text)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>addSystemMessage</name>
      <anchor>i1</anchor>
      <arglist>(const QString &amp;fromName, const QString &amp;text)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>addItem</name>
      <anchor>i2</anchor>
      <arglist>(const QListBoxItem *item)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotClear</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setAcceptMessage</name>
      <anchor>i4</anchor>
      <arglist>(bool a)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>rightButtonClicked</name>
      <anchor>l0</anchor>
      <arglist>(QListBoxItem *, const QPoint &amp;)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KChatBase</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, bool noComboBox=false)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KChatBase</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual const QString &amp;</type>
      <name>fromName</name>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addSendingEntry</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;text, int id)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>insertSendingEntry</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;text, int id, int index=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeSendingEntry</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;text, int id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSendingEntry</name>
      <anchor>a6</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>removeSendingEntry</name>
      <anchor>a7</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>sendingEntry</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>findIndex</name>
      <anchor>a9</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>nextId</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>acceptMessage</name>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setCompletionMode</name>
      <anchor>a12</anchor>
      <arglist>(KGlobalSettings::Completion mode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNameFont</name>
      <anchor>a13</anchor>
      <arglist>(const QFont &amp;font)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMessageFont</name>
      <anchor>a14</anchor>
      <arglist>(const QFont &amp;font)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBothFont</name>
      <anchor>a15</anchor>
      <arglist>(const QFont &amp;font)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSystemNameFont</name>
      <anchor>a16</anchor>
      <arglist>(const QFont &amp;font)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSystemMessageFont</name>
      <anchor>a17</anchor>
      <arglist>(const QFont &amp;font)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSystemBothFont</name>
      <anchor>a18</anchor>
      <arglist>(const QFont &amp;font)</arglist>
    </member>
    <member kind="function">
      <type>const QFont &amp;</type>
      <name>nameFont</name>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QFont &amp;</type>
      <name>messageFont</name>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QFont &amp;</type>
      <name>systemNameFont</name>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QFont &amp;</type>
      <name>systemMessageFont</name>
      <anchor>a22</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>saveConfig</name>
      <anchor>a23</anchor>
      <arglist>(KConfig *conf=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>readConfig</name>
      <anchor>a24</anchor>
      <arglist>(KConfig *conf=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxItems</name>
      <anchor>a25</anchor>
      <arglist>(int maxItems)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxItems</name>
      <anchor>a27</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual void</type>
      <name>returnPressed</name>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;text)=0</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QString</type>
      <name>comboBoxItem</name>
      <anchor>b1</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QListBoxItem *</type>
      <name>layoutMessage</name>
      <anchor>b2</anchor>
      <arglist>(const QString &amp;fromName, const QString &amp;text)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QListBoxItem *</type>
      <name>layoutSystemMessage</name>
      <anchor>b3</anchor>
      <arglist>(const QString &amp;fromName, const QString &amp;text)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KChatBaseText</name>
    <filename>classKChatBaseText.html</filename>
    <base>QListBoxText</base>
    <member kind="function">
      <type></type>
      <name>KChatBaseText</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;player, const QString &amp;text)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KChatBaseText</name>
      <anchor>a1</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KChatBaseText</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMessage</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;message)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>name</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>message</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QFont</type>
      <name>nameFont</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QFont</type>
      <name>messageFont</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNameFont</name>
      <anchor>a9</anchor>
      <arglist>(const QFont *font)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMessageFont</name>
      <anchor>a10</anchor>
      <arglist>(const QFont *font)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>width</name>
      <anchor>a11</anchor>
      <arglist>(QListBox *) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>height</name>
      <anchor>a12</anchor>
      <arglist>(QListBox *) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>paint</name>
      <anchor>b0</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGame</name>
    <filename>classKGame.html</filename>
    <base>KGameNetwork</base>
    <member kind="typedef">
      <type>QPtrList&lt; KPlayer &gt;</type>
      <name>KGamePlayerList</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>GamePolicy</name>
      <anchor>w13</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>GameStatus</name>
      <anchor>w14</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalReplacePlayerIO</name>
      <anchor>l0</anchor>
      <arglist>(KPlayer *player, bool *remove)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalLoadPrePlayers</name>
      <anchor>l1</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalLoad</name>
      <anchor>l2</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalSavePrePlayers</name>
      <anchor>l3</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalSave</name>
      <anchor>l4</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalLoadError</name>
      <anchor>l5</anchor>
      <arglist>(QDataStream &amp;stream, bool network, int cookie, bool &amp;result)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalNetworkData</name>
      <anchor>l6</anchor>
      <arglist>(int msgid, const QByteArray &amp;buffer, Q_UINT32 receiver, Q_UINT32 sender)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalMessageUpdate</name>
      <anchor>l7</anchor>
      <arglist>(int msgid, Q_UINT32 receiver, Q_UINT32 sender)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalPlayerLeftGame</name>
      <anchor>l8</anchor>
      <arglist>(KPlayer *player)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalPlayerJoinedGame</name>
      <anchor>l9</anchor>
      <arglist>(KPlayer *player)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalPropertyChanged</name>
      <anchor>l10</anchor>
      <arglist>(KGamePropertyBase *property, KGame *me)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalGameOver</name>
      <anchor>l11</anchor>
      <arglist>(int status, KPlayer *current, KGame *me)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalClientJoinedGame</name>
      <anchor>l12</anchor>
      <arglist>(Q_UINT32 clientid, KGame *me)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalClientLeftGame</name>
      <anchor>l13</anchor>
      <arglist>(int clientID, int oldgamestatus, KGame *me)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGame</name>
      <anchor>a0</anchor>
      <arglist>(int cookie=42, QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KGame</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Debug</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KGamePlayerList *</type>
      <name>playerList</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const KGamePlayerList *</type>
      <name>playerList</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KGamePlayerList *</type>
      <name>inactivePlayerList</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>const KGamePlayerList *</type>
      <name>inactivePlayerList</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KRandomSequence *</type>
      <name>random</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KGameSequence *</type>
      <name>gameSequence</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isRunning</name>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KPlayer *</type>
      <name>findPlayer</name>
      <anchor>a10</anchor>
      <arglist>(Q_UINT32 id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGameSequence</name>
      <anchor>a11</anchor>
      <arglist>(KGameSequence *sequence)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addPlayer</name>
      <anchor>a12</anchor>
      <arglist>(KPlayer *newplayer)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removePlayer</name>
      <anchor>a13</anchor>
      <arglist>(KPlayer *player)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>playerDeleted</name>
      <anchor>a14</anchor>
      <arglist>(KPlayer *player)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>activatePlayer</name>
      <anchor>a15</anchor>
      <arglist>(KPlayer *player)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inactivatePlayer</name>
      <anchor>a16</anchor>
      <arglist>(KPlayer *player)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxPlayers</name>
      <anchor>a17</anchor>
      <arglist>(uint maxnumber)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxPlayers</name>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMinPlayers</name>
      <anchor>a19</anchor>
      <arglist>(uint minnumber)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>minPlayers</name>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>playerCount</name>
      <anchor>a21</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KPlayer *</type>
      <name>nextPlayer</name>
      <anchor>a22</anchor>
      <arglist>(KPlayer *last, bool exclusive=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>sendPlayerInput</name>
      <anchor>a23</anchor>
      <arglist>(QDataStream &amp;msg, KPlayer *player, Q_UINT32 sender=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>systemPlayerInput</name>
      <anchor>a24</anchor>
      <arglist>(QDataStream &amp;msg, KPlayer *player, Q_UINT32 sender=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual KPlayer *</type>
      <name>createPlayer</name>
      <anchor>a25</anchor>
      <arglist>(int rtti, int io, bool isvirtual)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>load</name>
      <anchor>a26</anchor>
      <arglist>(QDataStream &amp;stream, bool reset=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>load</name>
      <anchor>a27</anchor>
      <arglist>(QString filename, bool reset=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchor>a28</anchor>
      <arglist>(QDataStream &amp;stream, bool saveplayers=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchor>a29</anchor>
      <arglist>(QString filename, bool saveplayers=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>reset</name>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>gameStatus</name>
      <anchor>a31</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGameStatus</name>
      <anchor>a32</anchor>
      <arglist>(int status)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addProperty</name>
      <anchor>a33</anchor>
      <arglist>(KGamePropertyBase *data)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendPlayerProperty</name>
      <anchor>a34</anchor>
      <arglist>(int msgid, QDataStream &amp;s, Q_UINT32 playerId)</arglist>
    </member>
    <member kind="function">
      <type>KGamePropertyBase *</type>
      <name>findProperty</name>
      <anchor>a35</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPolicy</name>
      <anchor>a36</anchor>
      <arglist>(GamePolicy p, bool recursive=true)</arglist>
    </member>
    <member kind="function">
      <type>GamePolicy</type>
      <name>policy</name>
      <anchor>a37</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendGroupMessage</name>
      <anchor>a38</anchor>
      <arglist>(const QByteArray &amp;msg, int msgid, Q_UINT32 sender, const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendGroupMessage</name>
      <anchor>a39</anchor>
      <arglist>(const QDataStream &amp;msg, int msgid, Q_UINT32 sender, const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendGroupMessage</name>
      <anchor>a40</anchor>
      <arglist>(int msg, int msgid, Q_UINT32 sender, const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendGroupMessage</name>
      <anchor>a41</anchor>
      <arglist>(const QString &amp;msg, int msgid, Q_UINT32 sender, const QString &amp;group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>networkTransmission</name>
      <anchor>a42</anchor>
      <arglist>(QDataStream &amp;stream, int msgid, Q_UINT32 receiver, Q_UINT32 sender, Q_UINT32 clientID)</arglist>
    </member>
    <member kind="function">
      <type>KGamePropertyHandler *</type>
      <name>dataHandler</name>
      <anchor>a43</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>sendProperty</name>
      <anchor>j0</anchor>
      <arglist>(int msgid, QDataStream &amp;stream, bool *sent)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>emitSignal</name>
      <anchor>j1</anchor>
      <arglist>(KGamePropertyBase *me)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>prepareNext</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotClientConnected</name>
      <anchor>j3</anchor>
      <arglist>(Q_UINT32 clientId)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotClientDisconnected</name>
      <anchor>j4</anchor>
      <arglist>(Q_UINT32 clientId, bool broken)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotServerDisconnected</name>
      <anchor>j5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="pure">
      <type>virtual bool</type>
      <name>playerInput</name>
      <anchor>b0</anchor>
      <arglist>(QDataStream &amp;msg, KPlayer *player)=0</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KPlayer *</type>
      <name>playerInputFinished</name>
      <anchor>b1</anchor>
      <arglist>(KPlayer *player)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>newPlayersJoin</name>
      <anchor>b2</anchor>
      <arglist>(KGamePlayerList *oldplayer, KGamePlayerList *newplayer, QValueList&lt; int &gt; &amp;inactivate)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>savePlayers</name>
      <anchor>b3</anchor>
      <arglist>(QDataStream &amp;stream, KGamePlayerList *list=0)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>savePlayer</name>
      <anchor>b4</anchor>
      <arglist>(QDataStream &amp;stream, KPlayer *player)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KPlayer *</type>
      <name>loadPlayer</name>
      <anchor>b5</anchor>
      <arglist>(QDataStream &amp;stream, bool isvirtual =false)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>systemInactivatePlayer</name>
      <anchor>b6</anchor>
      <arglist>(KPlayer *player)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>systemActivatePlayer</name>
      <anchor>b7</anchor>
      <arglist>(KPlayer *player)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>systemAddPlayer</name>
      <anchor>b8</anchor>
      <arglist>(KPlayer *newplayer)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>systemRemovePlayer</name>
      <anchor>b9</anchor>
      <arglist>(KPlayer *player, bool deleteit)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>negotiateNetworkGame</name>
      <anchor>b10</anchor>
      <arglist>(Q_UINT32 clientID)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>syncRandom</name>
      <anchor>b11</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>deletePlayers</name>
      <anchor>b12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>deleteInactivePlayers</name>
      <anchor>b13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual int</type>
      <name>checkGameOver</name>
      <anchor>b14</anchor>
      <arglist>(KPlayer *player)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>loadgame</name>
      <anchor>b15</anchor>
      <arglist>(QDataStream &amp;stream, bool network, bool reset)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual bool</type>
      <name>savegame</name>
      <anchor>b16</anchor>
      <arglist>(QDataStream &amp;stream, bool network, bool saveplayers)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameChat</name>
    <filename>classKGameChat.html</filename>
    <base>KChatBase</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>addMessage</name>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;fromName, const QString &amp;text)</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>addMessage</name>
      <anchor>i1</anchor>
      <arglist>(int fromId, const QString &amp;text)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotReceiveMessage</name>
      <anchor>i2</anchor>
      <arglist>(int, const QByteArray &amp;, Q_UINT32 receiver, Q_UINT32 sender)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameChat</name>
      <anchor>a0</anchor>
      <arglist>(KGame *game, int msgid, KPlayer *fromPlayer, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameChat</name>
      <anchor>a1</anchor>
      <arglist>(KGame *game, int msgId, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameChat</name>
      <anchor>a2</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setFromPlayer</name>
      <anchor>a4</anchor>
      <arglist>(KPlayer *player)</arglist>
    </member>
    <member kind="function">
      <type>KPlayer *</type>
      <name>fromPlayer</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKGame</name>
      <anchor>a6</anchor>
      <arglist>(KGame *g)</arglist>
    </member>
    <member kind="function">
      <type>KGame *</type>
      <name>game</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>messageId</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMessageId</name>
      <anchor>a9</anchor>
      <arglist>(int msgid)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString &amp;</type>
      <name>fromName</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUnsetKGame</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotPropertyChanged</name>
      <anchor>j1</anchor>
      <arglist>(KGamePropertyBase *, KPlayer *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAddPlayer</name>
      <anchor>j2</anchor>
      <arglist>(KPlayer *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRemovePlayer</name>
      <anchor>j3</anchor>
      <arglist>(KPlayer *)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotReceivePrivateMessage</name>
      <anchor>j4</anchor>
      <arglist>(int msgid, const QByteArray &amp;buffer, Q_UINT32 sender, KPlayer *me)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>isSendToAllMessage</name>
      <anchor>b0</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>isToGroupMessage</name>
      <anchor>b1</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>isToPlayerMessage</name>
      <anchor>b2</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>playerId</name>
      <anchor>b3</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>int</type>
      <name>sendingId</name>
      <anchor>b4</anchor>
      <arglist>(int playerId) const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>hasPlayer</name>
      <anchor>b5</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual QString</type>
      <name>sendToPlayerEntry</name>
      <anchor>b6</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>returnPressed</name>
      <anchor>b7</anchor>
      <arglist>(const QString &amp;text)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameComputerIO</name>
    <filename>classKGameComputerIO.html</filename>
    <base>KGameIO</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>advance</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalReaction</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameComputerIO</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameComputerIO</name>
      <anchor>a1</anchor>
      <arglist>(KPlayer *player)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rtti</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setReactionPeriod</name>
      <anchor>a4</anchor>
      <arglist>(int advanceCalls)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>reactionPeriod</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAdvancePeriod</name>
      <anchor>a6</anchor>
      <arglist>(int ms)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stopAdvancePeriod</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>pause</name>
      <anchor>a8</anchor>
      <arglist>(int calls=-1)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unpause</name>
      <anchor>a9</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>reaction</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameConnectDialog</name>
    <filename>classKGameConnectDialog.html</filename>
    <member kind="signal">
      <type>void</type>
      <name>signalNetworkSetup</name>
      <anchor>l0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameConnectDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, int buttonmask=Ok|Cancel)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHost</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;host)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>host</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPort</name>
      <anchor>a4</anchor>
      <arglist>(unsigned short int port)</arglist>
    </member>
    <member kind="function">
      <type>unsigned short int</type>
      <name>port</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefault</name>
      <anchor>a6</anchor>
      <arglist>(int state)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static int</type>
      <name>initConnection</name>
      <anchor>e0</anchor>
      <arglist>(unsigned short int &amp;port, QString &amp;host, QWidget *parent, bool server=false)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameDialog</name>
    <filename>classKGameDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KGameDialog</name>
      <anchor>a0</anchor>
      <arglist>(KGame *g, KPlayer *owner, const QString &amp;title, QWidget *parent, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameDialog</name>
      <anchor>a1</anchor>
      <arglist>(KGame *g, KPlayer *owner, const QString &amp;title, QWidget *parent, long initConfigs=AllConfig, int chatMsgId=15432, bool modal=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOwner</name>
      <anchor>a3</anchor>
      <arglist>(KPlayer *owner)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKGame</name>
      <anchor>a4</anchor>
      <arglist>(KGame *g)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>submitToKGame</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addChatWidget</name>
      <anchor>a6</anchor>
      <arglist>(KGameDialogChatConfig *chat, QVBox *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addConnectionList</name>
      <anchor>a7</anchor>
      <arglist>(KGameDialogConnectionConfig *c, QVBox *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>QVBox *</type>
      <name>addConfigPage</name>
      <anchor>a8</anchor>
      <arglist>(KGameDialogConfig *widget, const QString &amp;title)</arglist>
    </member>
    <member kind="function">
      <type>QVBox *</type>
      <name>configPage</name>
      <anchor>a9</anchor>
      <arglist>(ConfigOptions which)</arglist>
    </member>
    <member kind="function">
      <type>KGameDialogNetworkConfig *</type>
      <name>networkConfig</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KGameDialogGeneralConfig *</type>
      <name>gameConfig</name>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addConfigWidget</name>
      <anchor>a12</anchor>
      <arglist>(KGameDialogConfig *widget, QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addNetworkConfig</name>
      <anchor>a13</anchor>
      <arglist>(KGameDialogNetworkConfig *netConf)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addGameConfig</name>
      <anchor>a14</anchor>
      <arglist>(KGameDialogGeneralConfig *conf)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addMsgServerConfig</name>
      <anchor>a15</anchor>
      <arglist>(KGameDialogMsgServerConfig *conf)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotOk</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotApply</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>slotDefault</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotUnsetKGame</name>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>setAdmin</name>
      <anchor>j4</anchor>
      <arglist>(bool isAdmin)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotRemoveConfigWidget</name>
      <anchor>j5</anchor>
      <arglist>(QObject *configWidget)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initDefaultDialog</name>
      <anchor>b0</anchor>
      <arglist>(ConfigOptions initConfigs, int chatMsgId=15432)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>configureConfigWidgets</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameDialogChatConfig</name>
    <filename>classKGameDialogChatConfig.html</filename>
    <base>KGameDialogConfig</base>
    <member kind="function">
      <type></type>
      <name>KGameDialogChatConfig</name>
      <anchor>a0</anchor>
      <arglist>(int chatMsgId, QWidget *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setKGame</name>
      <anchor>a2</anchor>
      <arglist>(KGame *g)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOwner</name>
      <anchor>a3</anchor>
      <arglist>(KPlayer *p)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>submitToKGame</name>
      <anchor>a4</anchor>
      <arglist>(KGame *, KPlayer *)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameDialogConfig</name>
    <filename>classKGameDialogConfig.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>KGameDialogConfig</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>submitToKGame</name>
      <anchor>a2</anchor>
      <arglist>(KGame *g, KPlayer *p)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setOwner</name>
      <anchor>a3</anchor>
      <arglist>(KPlayer *p)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setKGame</name>
      <anchor>a4</anchor>
      <arglist>(KGame *g)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setAdmin</name>
      <anchor>a5</anchor>
      <arglist>(bool admin)</arglist>
    </member>
    <member kind="function">
      <type>KGame *</type>
      <name>game</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KPlayer *</type>
      <name>owner</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>admin</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameErrorDialog</name>
    <filename>classKGameErrorDialog.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>slotError</name>
      <anchor>i0</anchor>
      <arglist>(int error, QString text)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotServerConnectionLost</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotClientConnectionLost</name>
      <anchor>i2</anchor>
      <arglist>(Q_UINT32 clientID, bool broken)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>slotUnsetKGame</name>
      <anchor>i3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameErrorDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setKGame</name>
      <anchor>a2</anchor>
      <arglist>(const KGame *g)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>connectionError</name>
      <anchor>a3</anchor>
      <arglist>(QString s=QString::null)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>error</name>
      <anchor>b0</anchor>
      <arglist>(const QString &amp;errorText, QWidget *parent=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameErrorMessageDialog</name>
    <filename>classKGameErrorMessageDialog.html</filename>
    <member kind="function">
      <type></type>
      <name>KGameErrorMessageDialog</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameIO</name>
    <filename>classKGameIO.html</filename>
    <base>QObject</base>
    <member kind="enumeration">
      <name>IOMode</name>
      <anchor>w5</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalPrepareTurn</name>
      <anchor>l0</anchor>
      <arglist>(QDataStream &amp;stream, bool turn, KGameIO *io, bool *send)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameIO</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameIO</name>
      <anchor>a1</anchor>
      <arglist>(KPlayer *)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Debug</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual int</type>
      <name>rtti</name>
      <anchor>a4</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function">
      <type>KPlayer *</type>
      <name>player</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KGame *</type>
      <name>game</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPlayer</name>
      <anchor>a7</anchor>
      <arglist>(KPlayer *p)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>initIO</name>
      <anchor>a8</anchor>
      <arglist>(KPlayer *p)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyTurn</name>
      <anchor>a9</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendInput</name>
      <anchor>a10</anchor>
      <arglist>(QDataStream &amp;stream, bool transmit=true, Q_UINT32 sender=0)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameKeyIO</name>
    <filename>classKGameKeyIO.html</filename>
    <base>KGameIO</base>
    <member kind="signal">
      <type>void</type>
      <name>signalKeyEvent</name>
      <anchor>l0</anchor>
      <arglist>(KGameIO *io, QDataStream &amp;stream, QKeyEvent *m, bool *eatevent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameKeyIO</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rtti</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>eventFilter</name>
      <anchor>b0</anchor>
      <arglist>(QObject *o, QEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameLCD</name>
    <filename>classKGameLCD.html</filename>
    <base>QLCDNumber</base>
    <member kind="slot">
      <type>void</type>
      <name>highlight</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>displayInt</name>
      <anchor>i1</anchor>
      <arglist>(int value)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameLCD</name>
      <anchor>a0</anchor>
      <arglist>(uint nbDigits, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultBackgroundColor</name>
      <anchor>a2</anchor>
      <arglist>(const QColor &amp;color)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultColor</name>
      <anchor>a3</anchor>
      <arglist>(const QColor &amp;color)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHighlightColor</name>
      <anchor>a4</anchor>
      <arglist>(const QColor &amp;color)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLeadingString</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHighlightTime</name>
      <anchor>a6</anchor>
      <arglist>(uint time)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resetColor</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setColor</name>
      <anchor>a8</anchor>
      <arglist>(const QColor &amp;color)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameLCDClock</name>
    <filename>classKGameLCDClock.html</filename>
    <base>KGameLCD</base>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>reset</name>
      <anchor>i0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>stop</name>
      <anchor>i1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" virtualness="virtual">
      <type>virtual void</type>
      <name>start</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameLCDClock</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>seconds</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>pretty</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTime</name>
      <anchor>a4</anchor>
      <arglist>(uint seconds)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTime</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;s)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>timeoutClock</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameLCDList</name>
    <filename>classKGameLCDList.html</filename>
    <base>QWidget</base>
    <member kind="function">
      <type></type>
      <name>KGameLCDList</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;title, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameLCDList</name>
      <anchor>a1</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchor>a3</anchor>
      <arglist>(QLCDNumber *lcd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>append</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;leading, QLCDNumber *lcd)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QLabel *</type>
      <name>title</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QLCDNumber *</type>
      <name>lcd</name>
      <anchor>a7</anchor>
      <arglist>(uint i) const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>size</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameMisc</name>
    <filename>classKGameMisc.html</filename>
    <member kind="function" static="yes">
      <type>static QString</type>
      <name>randomName</name>
      <anchor>e0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameMouseIO</name>
    <filename>classKGameMouseIO.html</filename>
    <base>KGameIO</base>
    <member kind="signal">
      <type>void</type>
      <name>signalMouseEvent</name>
      <anchor>l0</anchor>
      <arglist>(KGameIO *io, QDataStream &amp;stream, QMouseEvent *m, bool *eatevent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameMouseIO</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent, bool trackmouse=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMouseTracking</name>
      <anchor>a2</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rtti</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>eventFilter</name>
      <anchor>b0</anchor>
      <arglist>(QObject *o, QEvent *e)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameNetwork</name>
    <filename>classKGameNetwork.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>signalNetworkErrorMessage</name>
      <anchor>l0</anchor>
      <arglist>(int error, QString text)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalConnectionBroken</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalClientConnected</name>
      <anchor>l2</anchor>
      <arglist>(Q_UINT32 clientID)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalClientDisconnected</name>
      <anchor>l3</anchor>
      <arglist>(Q_UINT32 clientID, bool broken)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalAdminStatusChanged</name>
      <anchor>l4</anchor>
      <arglist>(bool isAdmin)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameNetwork</name>
      <anchor>a0</anchor>
      <arglist>(int cookie=42, QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Debug</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNetwork</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isMaster</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAdmin</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Q_UINT32</type>
      <name>gameId</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>offerConnections</name>
      <anchor>a7</anchor>
      <arglist>(Q_UINT16 port)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDiscoveryInfo</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;type, const QString &amp;name=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>connectToServer</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;host, Q_UINT16 port)</arglist>
    </member>
    <member kind="function">
      <type>Q_UINT16</type>
      <name>port</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>hostName</name>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>stopServerConnection</name>
      <anchor>a12</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxClients</name>
      <anchor>a13</anchor>
      <arglist>(int max)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendSystemMessage</name>
      <anchor>a14</anchor>
      <arglist>(const QByteArray &amp;buffer, int msgid, Q_UINT32 receiver=0, Q_UINT32 sender=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendSystemMessage</name>
      <anchor>a15</anchor>
      <arglist>(int data, int msgid, Q_UINT32 receiver=0, Q_UINT32 sender=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendSystemMessage</name>
      <anchor>a16</anchor>
      <arglist>(const QDataStream &amp;msg, int msgid, Q_UINT32 receiver=0, Q_UINT32 sender=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendSystemMessage</name>
      <anchor>a17</anchor>
      <arglist>(const QString &amp;msg, int msgid, Q_UINT32 receiver=0, Q_UINT32 sender=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendError</name>
      <anchor>a18</anchor>
      <arglist>(int error, const QByteArray &amp;message, Q_UINT32 receiver=0, Q_UINT32 sender=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOfferingConnections</name>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>cookie</name>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendMessage</name>
      <anchor>a21</anchor>
      <arglist>(const QByteArray &amp;buffer, int msgid, Q_UINT32 receiver=0, Q_UINT32 sender=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendMessage</name>
      <anchor>a22</anchor>
      <arglist>(const QDataStream &amp;msg, int msgid, Q_UINT32 receiver=0, Q_UINT32 sender=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendMessage</name>
      <anchor>a23</anchor>
      <arglist>(const QString &amp;msg, int msgid, Q_UINT32 receiver=0, Q_UINT32 sender=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendMessage</name>
      <anchor>a24</anchor>
      <arglist>(int data, int msgid, Q_UINT32 receiver=0, Q_UINT32 sender=0)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>networkTransmission</name>
      <anchor>a25</anchor>
      <arglist>(QDataStream &amp;, int, Q_UINT32, Q_UINT32, Q_UINT32 clientID)=0</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disconnect</name>
      <anchor>a26</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>electAdmin</name>
      <anchor>a27</anchor>
      <arglist>(Q_UINT32 clientID)</arglist>
    </member>
    <member kind="function">
      <type>KMessageClient *</type>
      <name>messageClient</name>
      <anchor>a28</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KMessageServer *</type>
      <name>messageServer</name>
      <anchor>a29</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>lock</name>
      <anchor>a30</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>unlock</name>
      <anchor>a31</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>receiveNetworkTransmission</name>
      <anchor>j0</anchor>
      <arglist>(const QByteArray &amp;a, Q_UINT32 clientID)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotAdminStatusChanged</name>
      <anchor>j1</anchor>
      <arglist>(bool isAdmin)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>aboutToLoseConnection</name>
      <anchor>j2</anchor>
      <arglist>(Q_UINT32 id)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>slotResetConnection</name>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setMaster</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameProcess</name>
    <filename>classKGameProcess.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>signalCommand</name>
      <anchor>l0</anchor>
      <arglist>(QDataStream &amp;inputStream, int msgid, int receiver, int sender)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalTurn</name>
      <anchor>l1</anchor>
      <arglist>(QDataStream &amp;stream, bool turn)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalInit</name>
      <anchor>l2</anchor>
      <arglist>(QDataStream &amp;stream, int userid)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameProcess</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KGameProcess</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>exec</name>
      <anchor>a2</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>terminate</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTerminate</name>
      <anchor>a4</anchor>
      <arglist>(bool b)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendMessage</name>
      <anchor>a5</anchor>
      <arglist>(QDataStream &amp;stream, int msgid, Q_UINT32 receiver=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendSystemMessage</name>
      <anchor>a6</anchor>
      <arglist>(QDataStream &amp;stream, int msgid, Q_UINT32 receiver=0)</arglist>
    </member>
    <member kind="function">
      <type>KRandomSequence *</type>
      <name>random</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>receivedMessage</name>
      <anchor>j0</anchor>
      <arglist>(const QByteArray &amp;receiveBuffer)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>processArgs</name>
      <anchor>b0</anchor>
      <arglist>(int argc, char *argv[])</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mTerminate</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMessageFilePipe *</type>
      <name>mMessageIO</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameProcessIO</name>
    <filename>classKGameProcessIO.html</filename>
    <base>KGameIO</base>
    <member kind="signal">
      <type>void</type>
      <name>signalProcessQuery</name>
      <anchor>l0</anchor>
      <arglist>(QDataStream &amp;stream, KGameProcessIO *me)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalIOAdded</name>
      <anchor>l1</anchor>
      <arglist>(KGameIO *game, QDataStream &amp;stream, KPlayer *p, bool *send)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameProcessIO</name>
      <anchor>a0</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual</type>
      <name>~KGameProcessIO</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>rtti</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendMessage</name>
      <anchor>a3</anchor>
      <arglist>(QDataStream &amp;stream, int msgid, Q_UINT32 receiver, Q_UINT32 sender)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendSystemMessage</name>
      <anchor>a4</anchor>
      <arglist>(QDataStream &amp;stream, int msgid, Q_UINT32 receiver, Q_UINT32 sender)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>initIO</name>
      <anchor>a5</anchor>
      <arglist>(KPlayer *p)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>notifyTurn</name>
      <anchor>a6</anchor>
      <arglist>(bool turn)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>receivedMessage</name>
      <anchor>j0</anchor>
      <arglist>(const QByteArray &amp;receiveBuffer)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>sendAllMessages</name>
      <anchor>b0</anchor>
      <arglist>(QDataStream &amp;stream, int msgid, Q_UINT32 receiver, Q_UINT32 sender, bool usermsg)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameProgress</name>
    <filename>classKGameProgress.html</filename>
    <base>QFrame</base>
    <base>QRangeControl</base>
    <member kind="enumeration">
      <name>BarStyle</name>
      <anchor>w2</anchor>
      <arglist></arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setFormat</name>
      <anchor>i0</anchor>
      <arglist>(const QString &amp;format)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>setValue</name>
      <anchor>i1</anchor>
      <arglist>(int value)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>advance</name>
      <anchor>i2</anchor>
      <arglist>(int prog)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>percentageChanged</name>
      <anchor>l0</anchor>
      <arglist>(int)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameProgress</name>
      <anchor>a0</anchor>
      <arglist>(QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameProgress</name>
      <anchor>a1</anchor>
      <arglist>(Orientation orient, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameProgress</name>
      <anchor>a2</anchor>
      <arglist>(int minValue, int maxValue, int value, Orientation, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KGameProgress</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBarStyle</name>
      <anchor>a4</anchor>
      <arglist>(BarStyle style)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBarColor</name>
      <anchor>a5</anchor>
      <arglist>(const QColor &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setBarPixmap</name>
      <anchor>a6</anchor>
      <arglist>(const QPixmap &amp;)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOrientation</name>
      <anchor>a7</anchor>
      <arglist>(Orientation)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTextEnabled</name>
      <anchor>a8</anchor>
      <arglist>(bool)</arglist>
    </member>
    <member kind="function">
      <type>BarStyle</type>
      <name>barStyle</name>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QColor &amp;</type>
      <name>barColor</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QPixmap *</type>
      <name>barPixmap</name>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>value</name>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Orientation</type>
      <name>orientation</name>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>textEnabled</name>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QSize</type>
      <name>sizeHint</name>
      <anchor>a15</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QSize</type>
      <name>minimumSizeHint</name>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QSizePolicy</type>
      <name>sizePolicy</name>
      <anchor>a17</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>format</name>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>valueChange</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>rangeChange</name>
      <anchor>b1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>styleChange</name>
      <anchor>b2</anchor>
      <arglist>(QStyle &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>paletteChange</name>
      <anchor>b3</anchor>
      <arglist>(const QPalette &amp;)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>drawContents</name>
      <anchor>b4</anchor>
      <arglist>(QPainter *)</arglist>
    </member>
    <member kind="property">
      <type>int</type>
      <name>value</name>
      <anchor>00</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>BarStyle</type>
      <name>barStyle</name>
      <anchor>01</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QColor</type>
      <name>barColor</name>
      <anchor>02</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>QPixmap</type>
      <name>barPixmap</name>
      <anchor>03</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>Orientation</type>
      <name>orientation</name>
      <anchor>04</anchor>
      <arglist></arglist>
    </member>
    <member kind="property">
      <type>bool</type>
      <name>textEnabled</name>
      <anchor>05</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameProperty</name>
    <filename>classKGameProperty.html</filename>
    <templarg>type</templarg>
    <base>KGamePropertyBase</base>
    <member kind="function">
      <type></type>
      <name>KGameProperty</name>
      <anchor>a0</anchor>
      <arglist>(int id, KGamePropertyHandler *owner)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGameProperty</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setValue</name>
      <anchor>a3</anchor>
      <arglist>(type v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>send</name>
      <anchor>a4</anchor>
      <arglist>(type v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setLocal</name>
      <anchor>a5</anchor>
      <arglist>(type v)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>changeValue</name>
      <anchor>a6</anchor>
      <arglist>(type v)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>save</name>
      <anchor>a7</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function">
      <type>const type &amp;</type>
      <name>value</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>load</name>
      <anchor>a9</anchor>
      <arglist>(QDataStream &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>const type &amp;</type>
      <name>operator=</name>
      <anchor>a10</anchor>
      <arglist>(const type &amp;t)</arglist>
    </member>
    <member kind="function">
      <type>const type &amp;</type>
      <name>operator=</name>
      <anchor>a11</anchor>
      <arglist>(const KGameProperty &amp;property)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>operator type</name>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const type_info *</type>
      <name>typeinfo</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <docanchor file="classKGameProperty">A</docanchor>
    <docanchor file="classKGameProperty">Custom</docanchor>
    <docanchor file="classKGameProperty">Not</docanchor>
    <docanchor file="classKGameProperty">Always</docanchor>
  </compound>
  <compound kind="class">
    <name>KGamePropertyBase</name>
    <filename>classKGamePropertyBase.html</filename>
    <member kind="enumeration">
      <name>PropertyCommandIds</name>
      <anchor>w27</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>PropertyPolicy</name>
      <anchor>w28</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGamePropertyBase</name>
      <anchor>a0</anchor>
      <arglist>(int id, KGamePropertyHandler *owner)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGamePropertyBase</name>
      <anchor>a1</anchor>
      <arglist>(int id, KGame *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGamePropertyBase</name>
      <anchor>a2</anchor>
      <arglist>(int id, KPlayer *parent)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGamePropertyBase</name>
      <anchor>a3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPolicy</name>
      <anchor>a5</anchor>
      <arglist>(PropertyPolicy p)</arglist>
    </member>
    <member kind="function">
      <type>PropertyPolicy</type>
      <name>policy</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setEmittingSignal</name>
      <anchor>a7</anchor>
      <arglist>(bool p)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isEmittingSignal</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setOptimized</name>
      <anchor>a9</anchor>
      <arglist>(bool p)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOptimized</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isDirty</name>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLocked</name>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>lock</name>
      <anchor>a13</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>unlock</name>
      <anchor>a14</anchor>
      <arglist>(bool force=false)</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>load</name>
      <anchor>a15</anchor>
      <arglist>(QDataStream &amp;s)=0</arglist>
    </member>
    <member kind="function" virtualness="pure">
      <type>virtual void</type>
      <name>save</name>
      <anchor>a16</anchor>
      <arglist>(QDataStream &amp;s)=0</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>command</name>
      <anchor>a17</anchor>
      <arglist>(QDataStream &amp;stream, int msgid, bool isSender=false)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>id</name>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const type_info *</type>
      <name>typeinfo</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>registerData</name>
      <anchor>a20</anchor>
      <arglist>(int id, KGamePropertyHandler *owner, PropertyPolicy p, QString name=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>registerData</name>
      <anchor>a21</anchor>
      <arglist>(int id, KGamePropertyHandler *owner, QString name=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>registerData</name>
      <anchor>a22</anchor>
      <arglist>(int id, KGame *owner, QString name=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>registerData</name>
      <anchor>a23</anchor>
      <arglist>(int id, KPlayer *owner, QString name=0)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>registerData</name>
      <anchor>a24</anchor>
      <arglist>(KGamePropertyHandler *owner, PropertyPolicy p=PolicyUndefined, QString name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unregisterData</name>
      <anchor>a25</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setLock</name>
      <anchor>b0</anchor>
      <arglist>(bool l)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>setDirty</name>
      <anchor>b1</anchor>
      <arglist>(bool d)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>sendProperty</name>
      <anchor>b2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>bool</type>
      <name>sendProperty</name>
      <anchor>b3</anchor>
      <arglist>(const QByteArray &amp;b)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>emitSignal</name>
      <anchor>b4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KGamePropertyHandler *</type>
      <name>mOwner</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KGamePropertyBase::Flags</type>
      <name>mFlags</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>KGamePropertyHandler</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGamePropertyHandler</name>
    <filename>classKGamePropertyHandler.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>signalPropertyChanged</name>
      <anchor>l0</anchor>
      <arglist>(KGamePropertyBase *)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalSendMessage</name>
      <anchor>l1</anchor>
      <arglist>(int msgid, QDataStream &amp;, bool *sent)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalRequestValue</name>
      <anchor>l2</anchor>
      <arglist>(KGamePropertyBase *property, QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGamePropertyHandler</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KGamePropertyHandler</name>
      <anchor>a1</anchor>
      <arglist>(int id, const QObject *receiver, const char *sendf, const char *emitf, QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>registerHandler</name>
      <anchor>a3</anchor>
      <arglist>(int id, const QObject *receiver, const char *send, const char *emit)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>processMessage</name>
      <anchor>a4</anchor>
      <arglist>(QDataStream &amp;stream, int id, bool isSender)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>id</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addProperty</name>
      <anchor>a6</anchor>
      <arglist>(KGamePropertyBase *data, QString name=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeProperty</name>
      <anchor>a7</anchor>
      <arglist>(KGamePropertyBase *data)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>uniquePropertyId</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>load</name>
      <anchor>a9</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchor>a10</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>sendProperty</name>
      <anchor>a11</anchor>
      <arglist>(QDataStream &amp;s)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendLocked</name>
      <anchor>a12</anchor>
      <arglist>(bool l)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>emitSignal</name>
      <anchor>a13</anchor>
      <arglist>(KGamePropertyBase *data)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>propertyName</name>
      <anchor>a14</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>KGamePropertyBase *</type>
      <name>find</name>
      <anchor>a15</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a16</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setId</name>
      <anchor>a17</anchor>
      <arglist>(int id)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unlockProperties</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPolicy</name>
      <anchor>a19</anchor>
      <arglist>(KGamePropertyBase::PropertyPolicy p, bool userspace=true)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lockDirectEmit</name>
      <anchor>a20</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unlockDirectEmit</name>
      <anchor>a21</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KGamePropertyBase::PropertyPolicy</type>
      <name>policy</name>
      <anchor>a22</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lockProperties</name>
      <anchor>a23</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>flush</name>
      <anchor>a24</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>QIntDict&lt; KGamePropertyBase &gt; &amp;</type>
      <name>dict</name>
      <anchor>a25</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>propertyValue</name>
      <anchor>a26</anchor>
      <arglist>(KGamePropertyBase *property)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Debug</name>
      <anchor>a27</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGameSequence</name>
    <filename>classKGameSequence.html</filename>
    <base>QObject</base>
    <member kind="function" virtualness="virtual">
      <type>virtual KPlayer *</type>
      <name>nextPlayer</name>
      <anchor>a2</anchor>
      <arglist>(KPlayer *last, bool exclusive=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setCurrentPlayer</name>
      <anchor>a3</anchor>
      <arglist>(KPlayer *p)</arglist>
    </member>
    <member kind="function">
      <type>KGame *</type>
      <name>game</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KPlayer *</type>
      <name>currentPlayer</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGame</name>
      <anchor>a6</anchor>
      <arglist>(KGame *game)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>checkGameOver</name>
      <anchor>a7</anchor>
      <arglist>(KPlayer *player)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KHighscore</name>
    <filename>classKHighscore.html</filename>
    <base>QObject</base>
    <member kind="function">
      <type></type>
      <name>KHighscore</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KHighscore</name>
      <anchor>a1</anchor>
      <arglist>(bool forceLocal, QObject *parent)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>readCurrentConfig</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>lockForWriting</name>
      <anchor>a3</anchor>
      <arglist>(QWidget *widget=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeAndUnlock</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isLocked</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KHighscore</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeEntry</name>
      <anchor>a7</anchor>
      <arglist>(int entry, const QString &amp;key, const QString &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeEntry</name>
      <anchor>a8</anchor>
      <arglist>(int entry, const QString &amp;key, int value)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeEntry</name>
      <anchor>a9</anchor>
      <arglist>(int entry, const QString &amp;key, const QVariant &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>readEntry</name>
      <anchor>a10</anchor>
      <arglist>(int entry, const QString &amp;key, const QString &amp;pDefault=QString::null) const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>readNumEntry</name>
      <anchor>a11</anchor>
      <arglist>(int entry, const QString &amp;key, int pDefault=-1) const </arglist>
    </member>
    <member kind="function">
      <type>QVariant</type>
      <name>readPropertyEntry</name>
      <anchor>a12</anchor>
      <arglist>(int entry, const QString &amp;key, const QVariant &amp;pDefault) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasEntry</name>
      <anchor>a13</anchor>
      <arglist>(int entry, const QString &amp;key) const </arglist>
    </member>
    <member kind="function">
      <type>QStringList</type>
      <name>readList</name>
      <anchor>a14</anchor>
      <arglist>(const QString &amp;key, int lastEntry=20) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>writeList</name>
      <anchor>a15</anchor>
      <arglist>(const QString &amp;key, const QStringList &amp;list)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasTable</name>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sync</name>
      <anchor>a17</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setHighscoreGroup</name>
      <anchor>a18</anchor>
      <arglist>(const QString &amp;groupname=QString::null)</arglist>
    </member>
    <member kind="function">
      <type>const QString &amp;</type>
      <name>highscoreGroup</name>
      <anchor>a19</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static void</type>
      <name>init</name>
      <anchor>e0</anchor>
      <arglist>(const char *appname)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>QString</type>
      <name>group</name>
      <anchor>b0</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>KConfig *</type>
      <name>config</name>
      <anchor>b1</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>init</name>
      <anchor>b2</anchor>
      <arglist>(bool forceLocal)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMessageClient</name>
    <filename>classKMessageClient.html</filename>
    <base>QObject</base>
    <member kind="signal">
      <type>void</type>
      <name>broadcastReceived</name>
      <anchor>l0</anchor>
      <arglist>(const QByteArray &amp;msg, Q_UINT32 senderID)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>forwardReceived</name>
      <anchor>l1</anchor>
      <arglist>(const QByteArray &amp;msg, Q_UINT32 senderID, const QValueList&lt; Q_UINT32 &gt; &amp;receivers)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>connectionBroken</name>
      <anchor>l2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>aboutToDisconnect</name>
      <anchor>l3</anchor>
      <arglist>(Q_UINT32 id)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>adminStatusChanged</name>
      <anchor>l4</anchor>
      <arglist>(bool isAdmin)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>eventClientConnected</name>
      <anchor>l5</anchor>
      <arglist>(Q_UINT32 clientID)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>eventClientDisconnected</name>
      <anchor>l6</anchor>
      <arglist>(Q_UINT32 clientID, bool broken)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>serverMessageReceived</name>
      <anchor>l7</anchor>
      <arglist>(const QByteArray &amp;msg, bool &amp;unknown)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMessageClient</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KMessageClient</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>Q_UINT32</type>
      <name>id</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isAdmin</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Q_UINT32</type>
      <name>adminId</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>const QValueList&lt; Q_UINT32 &gt; &amp;</type>
      <name>clientList</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setServer</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;host, Q_UINT16 port)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setServer</name>
      <anchor>a7</anchor>
      <arglist>(KMessageServer *server)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>disconnect</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>setServer</name>
      <anchor>a9</anchor>
      <arglist>(KMessageIO *connection)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isConnected</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNetwork</name>
      <anchor>a11</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>Q_UINT16</type>
      <name>peerPort</name>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>peerName</name>
      <anchor>a13</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendServerMessage</name>
      <anchor>a14</anchor>
      <arglist>(const QByteArray &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendBroadcast</name>
      <anchor>a15</anchor>
      <arglist>(const QByteArray &amp;msg)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendForward</name>
      <anchor>a16</anchor>
      <arglist>(const QByteArray &amp;msg, const QValueList&lt; Q_UINT32 &gt; &amp;clients)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>sendForward</name>
      <anchor>a17</anchor>
      <arglist>(const QByteArray &amp;msg, Q_UINT32 client)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>lock</name>
      <anchor>a18</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>unlock</name>
      <anchor>a19</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>unsigned int</type>
      <name>delayedMessageCount</name>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>processIncomingMessage</name>
      <anchor>j0</anchor>
      <arglist>(const QByteArray &amp;msg)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>processFirstMessage</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>removeBrokenConnection</name>
      <anchor>j2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>removeBrokenConnection2</name>
      <anchor>j3</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>processMessage</name>
      <anchor>b0</anchor>
      <arglist>(const QByteArray &amp;msg)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMessageDirect</name>
    <filename>classKMessageDirect.html</filename>
    <base>KMessageIO</base>
    <member kind="function">
      <type></type>
      <name>KMessageDirect</name>
      <anchor>a0</anchor>
      <arglist>(KMessageDirect *partner=0, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KMessageDirect</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rtti</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNetwork</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isConnected</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>send</name>
      <anchor>a5</anchor>
      <arglist>(const QByteArray &amp;msg)</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>KMessageDirect *</type>
      <name>mPartner</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMessageIO</name>
    <filename>classKMessageIO.html</filename>
    <base>QObject</base>
    <member kind="slot" virtualness="pure">
      <type>virtual void</type>
      <name>send</name>
      <anchor>i0</anchor>
      <arglist>(const QByteArray &amp;msg)=0</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>received</name>
      <anchor>l0</anchor>
      <arglist>(const QByteArray &amp;msg)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>connectionBroken</name>
      <anchor>l1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMessageIO</name>
      <anchor>a0</anchor>
      <arglist>(QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KMessageIO</name>
      <anchor>a1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rtti</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isNetwork</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isConnected</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setId</name>
      <anchor>a5</anchor>
      <arglist>(Q_UINT32 id)</arglist>
    </member>
    <member kind="function">
      <type>Q_UINT32</type>
      <name>id</name>
      <anchor>a6</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Q_UINT16</type>
      <name>peerPort</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>peerName</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Q_UINT32</type>
      <name>m_id</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMessageServer</name>
    <filename>classKMessageServer.html</filename>
    <base>QObject</base>
    <member kind="slot">
      <type>void</type>
      <name>addClient</name>
      <anchor>i0</anchor>
      <arglist>(KMessageIO *)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>removeClient</name>
      <anchor>i1</anchor>
      <arglist>(KMessageIO *io, bool broken)</arglist>
    </member>
    <member kind="slot">
      <type>void</type>
      <name>deleteClients</name>
      <anchor>i2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>clientConnected</name>
      <anchor>l0</anchor>
      <arglist>(KMessageIO *client)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>connectionLost</name>
      <anchor>l1</anchor>
      <arglist>(KMessageIO *client)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>messageReceived</name>
      <anchor>l2</anchor>
      <arglist>(const QByteArray &amp;data, Q_UINT32 clientID, bool &amp;unknown)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMessageServer</name>
      <anchor>a0</anchor>
      <arglist>(Q_UINT16 cookie=42, QObject *parent=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>Debug</name>
      <anchor>a2</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>initNetwork</name>
      <anchor>a3</anchor>
      <arglist>(Q_UINT16 port=0)</arglist>
    </member>
    <member kind="function">
      <type>Q_UINT16</type>
      <name>serverPort</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>stopNetwork</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isOfferingConnections</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setMaxClients</name>
      <anchor>a7</anchor>
      <arglist>(int maxnumber)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>maxClients</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>clientCount</name>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>QValueList&lt; Q_UINT32 &gt;</type>
      <name>clientIDs</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>KMessageIO *</type>
      <name>findClient</name>
      <anchor>a11</anchor>
      <arglist>(Q_UINT32 no) const </arglist>
    </member>
    <member kind="function">
      <type>Q_UINT32</type>
      <name>adminID</name>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAdmin</name>
      <anchor>a13</anchor>
      <arglist>(Q_UINT32 adminID)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>broadcastMessage</name>
      <anchor>a14</anchor>
      <arglist>(const QByteArray &amp;msg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>sendMessage</name>
      <anchor>a15</anchor>
      <arglist>(Q_UINT32 id, const QByteArray &amp;msg)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>sendMessage</name>
      <anchor>a16</anchor>
      <arglist>(const QValueList&lt; Q_UINT32 &gt; &amp;ids, const QByteArray &amp;msg)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>getReceivedMessage</name>
      <anchor>j0</anchor>
      <arglist>(const QByteArray &amp;msg)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>processOneMessage</name>
      <anchor>j1</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>Q_UINT32</type>
      <name>uniqueClientNumber</name>
      <anchor>b0</anchor>
      <arglist>() const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMessageServerSocket</name>
    <filename>classKMessageServerSocket.html</filename>
    <base>QServerSocket</base>
    <member kind="signal">
      <type>void</type>
      <name>newClientConnected</name>
      <anchor>l0</anchor>
      <arglist>(KMessageIO *client)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMessageServerSocket</name>
      <anchor>a0</anchor>
      <arglist>(Q_UINT16 port, QObject *parent=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>newConnection</name>
      <anchor>a2</anchor>
      <arglist>(int socket)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KMessageSocket</name>
    <filename>classKMessageSocket.html</filename>
    <base>KMessageIO</base>
    <member kind="function">
      <type></type>
      <name>KMessageSocket</name>
      <anchor>a0</anchor>
      <arglist>(QString host, Q_UINT16 port, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMessageSocket</name>
      <anchor>a1</anchor>
      <arglist>(QHostAddress host, Q_UINT16 port, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMessageSocket</name>
      <anchor>a2</anchor>
      <arglist>(QSocket *socket, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KMessageSocket</name>
      <anchor>a3</anchor>
      <arglist>(int socketFD, QObject *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>~KMessageSocket</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rtti</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual Q_UINT16</type>
      <name>peerPort</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>peerName</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isNetwork</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isConnected</name>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>send</name>
      <anchor>a10</anchor>
      <arglist>(const QByteArray &amp;msg)</arglist>
    </member>
    <member kind="slot" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>processNewData</name>
      <anchor>j0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>initSocket</name>
      <anchor>b0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QSocket *</type>
      <name>mSocket</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>mAwaitingHeader</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>Q_UINT32</type>
      <name>mNextBlockLength</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>bool</type>
      <name>isRecursive</name>
      <anchor>p3</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KPlayer</name>
    <filename>classKPlayer.html</filename>
    <base>QObject</base>
    <member kind="typedef">
      <type>QPtrList&lt; KGameIO &gt;</type>
      <name>KGameIOList</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalNetworkData</name>
      <anchor>l0</anchor>
      <arglist>(int msgid, const QByteArray &amp;buffer, Q_UINT32 sender, KPlayer *me)</arglist>
    </member>
    <member kind="signal">
      <type>void</type>
      <name>signalPropertyChanged</name>
      <anchor>l1</anchor>
      <arglist>(KGamePropertyBase *property, KPlayer *me)</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPlayer</name>
      <anchor>a0</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KPlayer</name>
      <anchor>a1</anchor>
      <arglist>(KGame *game)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual int</type>
      <name>rtti</name>
      <anchor>a3</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>Debug</name>
      <anchor>a4</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KGameIOList *</type>
      <name>ioList</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGame</name>
      <anchor>a6</anchor>
      <arglist>(KGame *game)</arglist>
    </member>
    <member kind="function">
      <type>KGame *</type>
      <name>game</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setAsyncInput</name>
      <anchor>a8</anchor>
      <arglist>(bool a)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>asyncInput</name>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isVirtual</name>
      <anchor>a10</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setVirtual</name>
      <anchor>a11</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isActive</name>
      <anchor>a12</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setActive</name>
      <anchor>a13</anchor>
      <arglist>(bool v)</arglist>
    </member>
    <member kind="function">
      <type>Q_UINT32</type>
      <name>id</name>
      <anchor>a14</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setId</name>
      <anchor>a15</anchor>
      <arglist>(Q_UINT32 i)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>userId</name>
      <anchor>a16</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setUserId</name>
      <anchor>a17</anchor>
      <arglist>(int i)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>networkPriority</name>
      <anchor>a18</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNetworkPriority</name>
      <anchor>a19</anchor>
      <arglist>(int b)</arglist>
    </member>
    <member kind="function">
      <type>KPlayer *</type>
      <name>networkPlayer</name>
      <anchor>a20</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setNetworkPlayer</name>
      <anchor>a21</anchor>
      <arglist>(KPlayer *p)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGroup</name>
      <anchor>a22</anchor>
      <arglist>(const QString &amp;group)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString &amp;</type>
      <name>group</name>
      <anchor>a23</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchor>a24</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual const QString &amp;</type>
      <name>name</name>
      <anchor>a25</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addGameIO</name>
      <anchor>a26</anchor>
      <arglist>(KGameIO *input)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>removeGameIO</name>
      <anchor>a27</anchor>
      <arglist>(KGameIO *input=0, bool deleteit=true)</arglist>
    </member>
    <member kind="function">
      <type>KGameIO *</type>
      <name>findRttiIO</name>
      <anchor>a28</anchor>
      <arglist>(int rtti) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>hasRtti</name>
      <anchor>a29</anchor>
      <arglist>(int rtti) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>forwardInput</name>
      <anchor>a30</anchor>
      <arglist>(QDataStream &amp;msg, bool transmit=true, Q_UINT32 sender=0)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>forwardMessage</name>
      <anchor>a31</anchor>
      <arglist>(QDataStream &amp;msg, int msgid, Q_UINT32 receiver=0, Q_UINT32 sender=0)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>myTurn</name>
      <anchor>a32</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>setTurn</name>
      <anchor>a33</anchor>
      <arglist>(bool b, bool exclusive=true)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>load</name>
      <anchor>a34</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>save</name>
      <anchor>a35</anchor>
      <arglist>(QDataStream &amp;stream)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>networkTransmission</name>
      <anchor>a36</anchor>
      <arglist>(QDataStream &amp;stream, int msgid, Q_UINT32 sender)</arglist>
    </member>
    <member kind="function">
      <type>KGamePropertyBase *</type>
      <name>findProperty</name>
      <anchor>a37</anchor>
      <arglist>(int id) const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>addProperty</name>
      <anchor>a38</anchor>
      <arglist>(KGamePropertyBase *data)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>calcIOValue</name>
      <anchor>a39</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>KGamePropertyHandler *</type>
      <name>dataHandler</name>
      <anchor>a40</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>sendProperty</name>
      <anchor>j0</anchor>
      <arglist>(int msgid, QDataStream &amp;stream, bool *sent)</arglist>
    </member>
    <member kind="slot" protection="protected">
      <type>void</type>
      <name>emitSignal</name>
      <anchor>j1</anchor>
      <arglist>(KGamePropertyBase *me)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KScoreDialog</name>
    <filename>classKScoreDialog.html</filename>
    <member kind="typedef">
      <type>QMap&lt; int, QString &gt;</type>
      <name>FieldInfo</name>
      <anchor>w0</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>KScoreDialog</name>
      <anchor>a0</anchor>
      <arglist>(int fields, QWidget *parent=0, const char *name=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setConfigGroup</name>
      <anchor>a2</anchor>
      <arglist>(const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setComment</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;comment)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addField</name>
      <anchor>a4</anchor>
      <arglist>(int field, const QString &amp;header, const QString &amp;key)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addScore</name>
      <anchor>a5</anchor>
      <arglist>(int newScore, const FieldInfo &amp;newInfo, bool askName, bool lessIsMore)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>addScore</name>
      <anchor>a6</anchor>
      <arglist>(int newScore, const FieldInfo &amp;newInfo, bool askName=true)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>highScore</name>
      <anchor>a7</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual void</type>
      <name>show</name>
      <anchor>a8</anchor>
      <arglist>()</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KStdGameAction</name>
    <filename>classKStdGameAction.html</filename>
    <member kind="enumeration">
      <name>StdGameAction</name>
      <anchor>w23</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>create</name>
      <anchor>e0</anchor>
      <arglist>(StdGameAction id, const char *name, const QObject *recvr, const char *slot, KActionCollection *parent)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>create</name>
      <anchor>e1</anchor>
      <arglist>(StdGameAction id, const QObject *recvr, const char *slot, KActionCollection *parent)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>action</name>
      <anchor>e2</anchor>
      <arglist>(StdGameAction act_enum, const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>name</name>
      <anchor>e3</anchor>
      <arglist>(StdGameAction id)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static const char *</type>
      <name>stdName</name>
      <anchor>e4</anchor>
      <arglist>(StdGameAction act_enum)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>gameNew</name>
      <anchor>e5</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>load</name>
      <anchor>e6</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KRecentFilesAction *</type>
      <name>loadRecent</name>
      <anchor>e7</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>save</name>
      <anchor>e8</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>saveAs</name>
      <anchor>e9</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KToggleAction *</type>
      <name>pause</name>
      <anchor>e10</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>highscores</name>
      <anchor>e11</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>end</name>
      <anchor>e12</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>print</name>
      <anchor>e13</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>quit</name>
      <anchor>e14</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>repeat</name>
      <anchor>e15</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>undo</name>
      <anchor>e16</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>redo</name>
      <anchor>e17</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>roll</name>
      <anchor>e18</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>endTurn</name>
      <anchor>e19</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>carddecks</name>
      <anchor>e20</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>configureHighscores</name>
      <anchor>e21</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>hint</name>
      <anchor>e22</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KToggleAction *</type>
      <name>demo</name>
      <anchor>e23</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>solve</name>
      <anchor>e24</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KSelectAction *</type>
      <name>chooseGameType</name>
      <anchor>e25</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static KAction *</type>
      <name>restart</name>
      <anchor>e26</anchor>
      <arglist>(const QObject *recvr=0, const char *slot=0, KActionCollection *parent=0, const char *name=0L)</arglist>
    </member>
  </compound>
  <compound kind="dir">
    <name>/build/buildd/kdegames-3.4.0/libkdegames/kgame/dialogs/</name>
    <path>/build/buildd/kdegames-3.4.0/libkdegames/kgame/dialogs/</path>
    <filename>dir_000003.html</filename>
    <file>kgameconnectdialog.cpp</file>
    <file>kgameconnectdialog.h</file>
    <file>kgamedebugdialog.cpp</file>
    <file>kgamedebugdialog.h</file>
    <file>kgamedialog.cpp</file>
    <file>kgamedialog.h</file>
    <file>kgamedialogconfig.cpp</file>
    <file>kgamedialogconfig.h</file>
    <file>kgameerrordialog.cpp</file>
    <file>kgameerrordialog.h</file>
  </compound>
  <compound kind="dir">
    <name>/build/buildd/kdegames-3.4.0/libkdegames/highscore/</name>
    <path>/build/buildd/kdegames-3.4.0/libkdegames/highscore/</path>
    <filename>dir_000001.html</filename>
    <file>kconfigrawbackend.cpp</file>
    <file>kconfigrawbackend.h</file>
    <file>kexthighscore.cpp</file>
    <file>kexthighscore.h</file>
    <file>kexthighscore_gui.cpp</file>
    <file>kexthighscore_gui.h</file>
    <file>kexthighscore_internal.cpp</file>
    <file>kexthighscore_internal.h</file>
    <file>kexthighscore_item.cpp</file>
    <file>kexthighscore_item.h</file>
    <file>kexthighscore_tab.cpp</file>
    <file>kexthighscore_tab.h</file>
    <file>kfilelock.cpp</file>
    <file>kfilelock.h</file>
    <file>khighscore.cpp</file>
    <file>khighscore.h</file>
    <file>kscoredialog.cpp</file>
    <file>kscoredialog.h</file>
  </compound>
  <compound kind="dir">
    <name>/build/buildd/kdegames-3.4.0/libkdegames/kgame/</name>
    <path>/build/buildd/kdegames-3.4.0/libkdegames/kgame/</path>
    <filename>dir_000002.html</filename>
    <dir>/build/buildd/kdegames-3.4.0/libkdegames/kgame/dialogs/</dir>
    <file>kgame.cpp</file>
    <file>kgame.h</file>
    <file>kgamechat.cpp</file>
    <file>kgamechat.h</file>
    <file>kgameerror.cpp</file>
    <file>kgameerror.h</file>
    <file>kgameio.cpp</file>
    <file>kgameio.h</file>
    <file>kgamemessage.cpp</file>
    <file>kgamemessage.h</file>
    <file>kgamenetwork.cpp</file>
    <file>kgamenetwork.h</file>
    <file>kgameprocess.cpp</file>
    <file>kgameprocess.h</file>
    <file>kgameproperty.cpp</file>
    <file>kgameproperty.h</file>
    <file>kgamepropertyarray.h</file>
    <file>kgamepropertyhandler.cpp</file>
    <file>kgamepropertyhandler.h</file>
    <file>kgamepropertylist.h</file>
    <file>kgamesequence.cpp</file>
    <file>kgamesequence.h</file>
    <file>kgameversion.h</file>
    <file>kmessageclient.cpp</file>
    <file>kmessageclient.h</file>
    <file>kmessageio.cpp</file>
    <file>kmessageio.h</file>
    <file>kmessageserver.cpp</file>
    <file>kmessageserver.h</file>
    <file>kplayer.cpp</file>
    <file>kplayer.h</file>
  </compound>
  <compound kind="dir">
    <name>/build/buildd/kdegames-3.4.0/libkdegames/</name>
    <path>/build/buildd/kdegames-3.4.0/libkdegames/</path>
    <filename>dir_000000.html</filename>
    <dir>/build/buildd/kdegames-3.4.0/libkdegames/highscore/</dir>
    <dir>/build/buildd/kdegames-3.4.0/libkdegames/kgame/</dir>
    <file>kcanvasrootpixmap.cpp</file>
    <file>kcanvasrootpixmap.h</file>
    <file>kcarddialog.cpp</file>
    <file>kcarddialog.h</file>
    <file>kchat.cpp</file>
    <file>kchat.h</file>
    <file>kchatbase.cpp</file>
    <file>kchatbase.h</file>
    <file>kchatdialog.cpp</file>
    <file>kchatdialog.h</file>
    <file>kgamelcd.cpp</file>
    <file>kgamelcd.h</file>
    <file>kgamemisc.cpp</file>
    <file>kgamemisc.h</file>
    <file>kgameprogress.cpp</file>
    <file>kgameprogress.h</file>
    <file>kgrid2d.h</file>
    <file>kstdgameaction.cpp</file>
    <file>kstdgameaction.h</file>
  </compound>
  <compound kind="class">
    <name>KExtHighscore::Manager</name>
    <filename>classKExtHighscore_1_1Manager.html</filename>
    <member kind="enumeration">
      <name>ScoreType</name>
      <anchor>w20</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>ItemType</name>
      <anchor>w21</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>LabelType</name>
      <anchor>w23</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Manager</name>
      <anchor>a0</anchor>
      <arglist>(uint nbGameTypes=1, uint maxNbEntries=10)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setWWHighscores</name>
      <anchor>a2</anchor>
      <arglist>(const KURL &amp;url, const QString &amp;version)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTrackLostGames</name>
      <anchor>a3</anchor>
      <arglist>(bool track)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setTrackDrawGames</name>
      <anchor>a4</anchor>
      <arglist>(bool track)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowStatistics</name>
      <anchor>a5</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>showStatistics</name>
      <anchor>a6</anchor>
      <arglist>(bool show) KDE_DEPRECATED</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowDrawGamesStatistic</name>
      <anchor>a7</anchor>
      <arglist>(bool show)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setScoreHistogram</name>
      <anchor>a8</anchor>
      <arglist>(const QMemArray&lt; uint &gt; &amp;scores, ScoreTypeBound type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setShowMode</name>
      <anchor>a9</anchor>
      <arglist>(ShowMode mode)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setScoreType</name>
      <anchor>a10</anchor>
      <arglist>(ScoreType type)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setScoreItem</name>
      <anchor>a11</anchor>
      <arglist>(uint worstScore, Item *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addScoreItem</name>
      <anchor>a12</anchor>
      <arglist>(const QString &amp;name, Item *item)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPlayerItem</name>
      <anchor>a13</anchor>
      <arglist>(PlayerItemType type, Item *item)</arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual bool</type>
      <name>isStrictlyLess</name>
      <anchor>a14</anchor>
      <arglist>(const Score &amp;s1, const Score &amp;s2) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>gameTypeLabel</name>
      <anchor>a15</anchor>
      <arglist>(uint gameType, LabelType type) const </arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Item *</type>
      <name>createItem</name>
      <anchor>e0</anchor>
      <arglist>(ItemType type)</arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>convertLegacy</name>
      <anchor>b0</anchor>
      <arglist>(uint gameType)</arglist>
    </member>
    <member kind="function" protection="protected">
      <type>void</type>
      <name>submitLegacyScore</name>
      <anchor>b1</anchor>
      <arglist>(const Score &amp;score) const </arglist>
    </member>
    <member kind="function" protection="protected" virtualness="virtual">
      <type>virtual void</type>
      <name>additionalQueryItems</name>
      <anchor>b2</anchor>
      <arglist>(KURL &amp;url, const Score &amp;score) const </arglist>
    </member>
    <member kind="function" protection="protected" static="yes">
      <type>static void</type>
      <name>addToQueryURL</name>
      <anchor>f0</anchor>
      <arglist>(KURL &amp;url, const QString &amp;item, const QString &amp;content)</arglist>
    </member>
    <member kind="friend" protection="protected">
      <type>friend class</type>
      <name>ManagerPrivate</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KExtHighscore::ItemArray</name>
    <filename>classKExtHighscore_1_1ItemArray.html</filename>
    <base>QMemArray&lt; ItemContainer * &gt;</base>
    <member kind="function" virtualness="pure">
      <type>virtual uint</type>
      <name>nbEntries</name>
      <anchor>a2</anchor>
      <arglist>() const =0</arglist>
    </member>
    <member kind="function">
      <type>const ItemContainer *</type>
      <name>item</name>
      <anchor>a3</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>ItemContainer *</type>
      <name>item</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addItem</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;name, Item *, bool stored=true, bool canHaveSubGroup=false)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setItem</name>
      <anchor>a6</anchor>
      <arglist>(const QString &amp;name, Item *)</arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>findIndex</name>
      <anchor>a7</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setGroup</name>
      <anchor>a8</anchor>
      <arglist>(const QString &amp;group)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setSubGroup</name>
      <anchor>a9</anchor>
      <arglist>(const QString &amp;subGroup)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>read</name>
      <anchor>a10</anchor>
      <arglist>(uint k, Score &amp;data) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>write</name>
      <anchor>a11</anchor>
      <arglist>(uint k, const Score &amp;data, uint maxNbLines) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>exportToText</name>
      <anchor>a12</anchor>
      <arglist>(QTextStream &amp;) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KExtHighscore::Item</name>
    <filename>classKExtHighscore_1_1Item.html</filename>
    <member kind="enumeration">
      <name>Format</name>
      <anchor>w10</anchor>
      <arglist></arglist>
    </member>
    <member kind="enumeration">
      <name>Special</name>
      <anchor>w11</anchor>
      <arglist></arglist>
    </member>
    <member kind="function">
      <type></type>
      <name>Item</name>
      <anchor>a0</anchor>
      <arglist>(const QVariant &amp;def=QVariant::Invalid, const QString &amp;label=QString::null, int alignment=Qt::AlignRight)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPrettyFormat</name>
      <anchor>a2</anchor>
      <arglist>(Format format)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setPrettySpecial</name>
      <anchor>a3</anchor>
      <arglist>(Special special)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isVisible</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setLabel</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;label)</arglist>
    </member>
    <member kind="function">
      <type>QString</type>
      <name>label</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>int</type>
      <name>alignment</name>
      <anchor>a7</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setDefaultValue</name>
      <anchor>a8</anchor>
      <arglist>(const QVariant &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>const QVariant &amp;</type>
      <name>defaultValue</name>
      <anchor>a9</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QVariant</type>
      <name>read</name>
      <anchor>a10</anchor>
      <arglist>(uint i, const QVariant &amp;value) const </arglist>
    </member>
    <member kind="function" virtualness="virtual">
      <type>virtual QString</type>
      <name>pretty</name>
      <anchor>a11</anchor>
      <arglist>(uint i, const QVariant &amp;value) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KExtHighscore::Score</name>
    <filename>classKExtHighscore_1_1Score.html</filename>
    <member kind="function">
      <type></type>
      <name>Score</name>
      <anchor>a0</anchor>
      <arglist>(ScoreType type=Won)</arglist>
    </member>
    <member kind="function">
      <type>ScoreType</type>
      <name>type</name>
      <anchor>a2</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setType</name>
      <anchor>a3</anchor>
      <arglist>(ScoreType type)</arglist>
    </member>
    <member kind="function">
      <type>const QVariant &amp;</type>
      <name>data</name>
      <anchor>a4</anchor>
      <arglist>(const QString &amp;name) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setData</name>
      <anchor>a5</anchor>
      <arglist>(const QString &amp;name, const QVariant &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>score</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setScore</name>
      <anchor>a7</anchor>
      <arglist>(uint score)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>isTheWorst</name>
      <anchor>a8</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>operator&lt;</name>
      <anchor>a9</anchor>
      <arglist>(const Score &amp;score)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend class</type>
      <name>MultiplayerScores</name>
      <anchor>n0</anchor>
      <arglist></arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>n1</anchor>
      <arglist>(QDataStream &amp;stream, const Score &amp;score)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>n2</anchor>
      <arglist>(QDataStream &amp;stream, Score &amp;score)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KExtHighscore::MultiplayerScores</name>
    <filename>classKExtHighscore_1_1MultiplayerScores.html</filename>
    <member kind="function">
      <type>void</type>
      <name>setPlayerCount</name>
      <anchor>a2</anchor>
      <arglist>(uint nb)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>setName</name>
      <anchor>a3</anchor>
      <arglist>(uint player, const QString &amp;name)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>addScore</name>
      <anchor>a4</anchor>
      <arglist>(uint player, const Score &amp;score)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>clear</name>
      <anchor>a5</anchor>
      <arglist>()</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>show</name>
      <anchor>a6</anchor>
      <arglist>(QWidget *parent)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&lt;&lt;</name>
      <anchor>n0</anchor>
      <arglist>(QDataStream &amp;stream, const MultiplayerScores &amp;score)</arglist>
    </member>
    <member kind="friend" protection="private">
      <type>friend QDataStream &amp;</type>
      <name>operator&gt;&gt;</name>
      <anchor>n1</anchor>
      <arglist>(QDataStream &amp;stream, MultiplayerScores &amp;score)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGrid2D::Generic</name>
    <filename>classKGrid2D_1_1Generic.html</filename>
    <templarg>Type</templarg>
    <member kind="function">
      <type></type>
      <name>Generic</name>
      <anchor>a0</anchor>
      <arglist>(uint width=0, uint height=0)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>resize</name>
      <anchor>a2</anchor>
      <arglist>(uint width, uint height)</arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>fill</name>
      <anchor>a3</anchor>
      <arglist>(const Type &amp;value)</arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>width</name>
      <anchor>a4</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>height</name>
      <anchor>a5</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>size</name>
      <anchor>a6</anchor>
      <arglist>() const </arglist>
    </member>
    <member kind="function">
      <type>uint</type>
      <name>index</name>
      <anchor>a7</anchor>
      <arglist>(const Coord &amp;c) const </arglist>
    </member>
    <member kind="function">
      <type>Coord</type>
      <name>coord</name>
      <anchor>a8</anchor>
      <arglist>(uint index) const </arglist>
    </member>
    <member kind="function">
      <type>const Type &amp;</type>
      <name>at</name>
      <anchor>a9</anchor>
      <arglist>(const Coord &amp;c) const </arglist>
    </member>
    <member kind="function">
      <type>Type &amp;</type>
      <name>at</name>
      <anchor>a10</anchor>
      <arglist>(const Coord &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>const Type &amp;</type>
      <name>operator[]</name>
      <anchor>a11</anchor>
      <arglist>(const Coord &amp;c) const </arglist>
    </member>
    <member kind="function">
      <type>Type &amp;</type>
      <name>operator[]</name>
      <anchor>a12</anchor>
      <arglist>(const Coord &amp;c)</arglist>
    </member>
    <member kind="function">
      <type>const Type &amp;</type>
      <name>at</name>
      <anchor>a13</anchor>
      <arglist>(uint index) const </arglist>
    </member>
    <member kind="function">
      <type>Type &amp;</type>
      <name>at</name>
      <anchor>a14</anchor>
      <arglist>(uint index)</arglist>
    </member>
    <member kind="function">
      <type>const Type &amp;</type>
      <name>operator[]</name>
      <anchor>a15</anchor>
      <arglist>(uint index) const </arglist>
    </member>
    <member kind="function">
      <type>Type &amp;</type>
      <name>operator[]</name>
      <anchor>a16</anchor>
      <arglist>(uint index)</arglist>
    </member>
    <member kind="function">
      <type>bool</type>
      <name>inside</name>
      <anchor>a17</anchor>
      <arglist>(const Coord &amp;c) const </arglist>
    </member>
    <member kind="function">
      <type>void</type>
      <name>bound</name>
      <anchor>a18</anchor>
      <arglist>(Coord &amp;c) const </arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>_width</name>
      <anchor>p0</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>uint</type>
      <name>_height</name>
      <anchor>p1</anchor>
      <arglist></arglist>
    </member>
    <member kind="variable" protection="protected">
      <type>QValueVector&lt; Type &gt;</type>
      <name>_vector</name>
      <anchor>p2</anchor>
      <arglist></arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGrid2D::SquareBase</name>
    <filename>classKGrid2D_1_1SquareBase.html</filename>
    <member kind="enumeration">
      <name>Neighbour</name>
      <anchor>w9</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static double</type>
      <name>angle</name>
      <anchor>e0</anchor>
      <arglist>(Neighbour n)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Neighbour</type>
      <name>opposed</name>
      <anchor>e1</anchor>
      <arglist>(Neighbour n)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static bool</type>
      <name>isDirect</name>
      <anchor>e2</anchor>
      <arglist>(Neighbour n)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Coord</type>
      <name>neighbour</name>
      <anchor>e3</anchor>
      <arglist>(const Coord &amp;c, Neighbour n)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGrid2D::Square</name>
    <filename>classKGrid2D_1_1Square.html</filename>
    <templarg>T</templarg>
    <base>KGrid2D::Generic&lt; T &gt;</base>
    <base>KGrid2D::SquareBase</base>
    <member kind="function">
      <type></type>
      <name>Square</name>
      <anchor>a0</anchor>
      <arglist>(uint width=0, uint height=0)</arglist>
    </member>
    <member kind="function">
      <type>CoordList</type>
      <name>neighbours</name>
      <anchor>a1</anchor>
      <arglist>(const Coord &amp;c, bool insideOnly=true, bool directOnly=false) const </arglist>
    </member>
    <member kind="function">
      <type>Coord</type>
      <name>toEdge</name>
      <anchor>a2</anchor>
      <arglist>(const Coord &amp;c, Neighbour n) const </arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGrid2D::HexagonalBase</name>
    <filename>classKGrid2D_1_1HexagonalBase.html</filename>
    <member kind="enumeration">
      <name>Neighbour</name>
      <anchor>w7</anchor>
      <arglist></arglist>
    </member>
    <member kind="function" static="yes">
      <type>static double</type>
      <name>angle</name>
      <anchor>e0</anchor>
      <arglist>(Neighbour n)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Neighbour</type>
      <name>opposed</name>
      <anchor>e1</anchor>
      <arglist>(Neighbour n)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static Coord</type>
      <name>neighbour</name>
      <anchor>e2</anchor>
      <arglist>(const Coord &amp;c, Neighbour n)</arglist>
    </member>
    <member kind="function" static="yes">
      <type>static uint</type>
      <name>distance</name>
      <anchor>e3</anchor>
      <arglist>(const Coord &amp;c1, const Coord &amp;c2)</arglist>
    </member>
  </compound>
  <compound kind="class">
    <name>KGrid2D::Hexagonal</name>
    <filename>classKGrid2D_1_1Hexagonal.html</filename>
    <templarg>Type</templarg>
    <base>KGrid2D::Generic</base>
    <base>KGrid2D::HexagonalBase</base>
    <member kind="function">
      <type></type>
      <name>Hexagonal</name>
      <anchor>a0</anchor>
      <arglist>(uint width=0, uint height=0)</arglist>
    </member>
    <member kind="function">
      <type>CoordList</type>
      <name>neighbours</name>
      <anchor>a1</anchor>
      <arglist>(const Coord &amp;c, bool insideOnly=true) const </arglist>
    </member>
    <member kind="function">
      <type>CoordList</type>
      <name>neighbours</name>
      <anchor>a2</anchor>
      <arglist>(const Coord &amp;c, uint distance, bool all, bool insideOnly=true) const </arglist>
    </member>
  </compound>
</tagfile>
